package pr2.strukturierung.information_hiding;

/**
 * Ein einfacher Taschenrechner.
 */
public class Rechner {
    /** Ergebnis des Taschenrechners. */
    private double wert;

    /** Speicher des Taschenrechners. */
    private double speicher;

    /**
     * Addiert zwei Werte und gibt das Ergebnis zurück.
     *
     * @param a erster Operand.
     * @param b zweiter Operand.
     * @return das Ergebnis.
     */
    public double addiere(double a, double b) {
            wert = a + b;
        return setWert(wert);
    }

    /**
     * Subtrahiert zwei Werte und gibt das Ergebnis zurück.
     *
     * @param a erster Operand.
     * @param b zweiter Operand.
     * @return das Ergebnis.
     */
    public double subtrahiere(double a, double b) {
            wert = a - b;
        return setWert(wert);
    }

    /**
     * Multipliziert zwei Werte und gibt das Ergebnis zurück.
     *
     * @param a erster Operand.
     * @param b zweiter Operand.
     * @return das Ergebnis.
     */
    public double multipliziere(double a, double b) {
            wert = a * b;
        return setWert(wert);
    }
    /**
     * Speichert den aktuellen Wert in der Variable {@speicher}.
     */
    public void speichern() {
            this.speicher = wert;    
    }
    
    public double getWert() {
        return this.wert;
    }
    public double setWert(double ergebnis) {
            wert = ergebnis;
        return wert;
    }
    public double getSpeicher() {
        return this.speicher;
    }
}
